<!--
Copyright (C) 2020  CismonX <admin@cismon.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty, provided the copyright notice and
this notice are preserved. This file is offered as-is, without any warranty.
-->

# INSTALL

## Copy Library Code to Your Project

This is the recommended way to use this library.

Copy [ctlseqs.h](src/ctlseqs.h) and [ctlseqs.c](src/ctlseqs.c) to your project and build it alongside with other code. Requires an ISO C99 and POSIX.1-2008 compliant C implementation.

## Build and Install From Source

Helper scripts are provided to build ctlseqs as a shared/static library. Requires GNU Autoconf, Automake, Libtool and Autoconf Archive.

```shell
autoreconf --install
./configure --prefix=$HOME CFLAGS='-O0 -g'
make
```

Optionally, you can run tests (requires DejaGnu), install the binary and man pages.

```shell
make check && make install
```

Finally, link it to your project with the `-lctlseqs` flag (or something similar).

## Install From a Package Manager

We maintain unofficial repositories for a few package managers, so that the ctlseqs library can be installed from them.

However, there is no guarantee that any of those repositories will be actively maintained in the future.

### Homebrew

```shell
brew tap CismonX/repos
brew install ctlseqs
```
